# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Code generator for delays
Name:      pikloops
Version:   0.2.1
Release:   1
Copyright: Apache
Vendor:    Javier Fernando Vargas G <fernandovargas@cable.net.co>
Url:       pikdev.free.fr

Packager:  Javier Fernando Vargas G <fernandovargas@cable.net.co>
Group:     development
Source:    pikloops-0.2.1.tar.gz
BuildRoot: pikloops-0.2

%description
Pic delay calculator

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=/usr  \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.pikloops
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.pikloops
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.pikloops

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/pikloops
rm -rf ../file.list.pikloops


%files -f ../file.list.pikloops
